### Function

# Xdp Portal running_under_sandbox

#### Declaration [src]

    gboolean
    xdp_portal_running_under_sandbox (
      void
    )

#### Description [src]

This function tries to determine if the current process is running under a sandbox that requires the use of portals.

If you need to check error conditions see `xdp_portal_running_under_snap()`.

Note that these functions are all cached and will always return the same result.

#### Return value

Type: `gboolean`

`TRUE` if the current process should use portals to access resources on the host system, or `FALSE` if either an error was encountered or the process is running unsandboxed.